Bug 158621 - packages of both new and old version left after update to U5
packages of both new and old version left after update to U5
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
Depends On:
  Show dependency treegraph
Reported: 2005-05-24 06:21 EDT by David Juran
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 15:01:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Juran 2005-05-24 06:21:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050512 Red Hat/1.7.8-

Description of problem:
After U5 was released, I ran 'up2date -u' on my systems. On two of them, up2date hung when it seemed that it would be just about finished. There was no rpm  process running but running 'rpm -qa' revealed that there were duplicate versions (both the old and the new one) available of several packages. 
I was able to recover by killing up2date (kill -9 was required) and then manually running 'rpm -U --replacepkgs' on the latest version of the packages that were duplicated.
I have a sysreport from before I did the recovery available if anyone would be interested.

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Steps to Reproduce:
1. run 'up2date -u' on ~100 machines and hope for the worst )-:

Additional info:
Comment 1 Paul Nasrat 2005-05-24 12:05:56 EDT
As a RHEL customer could you raise this via support channels:


See the support note https://bugzilla.redhat.com/bugzilla/index.cgi

You will not see rpm processes when running up2date as it uses the rpm-python
Comment 2 David Juran 2005-05-25 07:32:02 EDT
Service request 562302 created
Comment 3 Jeff Johnson 2005-11-25 01:16:28 EST
This is an up2date, not an rpm, support problem.
Comment 4 RHEL Product and Program Management 2007-10-19 15:01:46 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.